
#include <WFX/scene/Material.h>

using namespace WFX::scene;


Material::Material() : Name("DefaultMaterial"),
                       Emissive(Color::BLACK),
                       Ambient(.2, .2, .2),
                       Diffuse(.8, .8, .8),
                       Specular(Color::BLACK),
                       Shininess(0.0f),
                       Alpha(1.0f),
                       Texture() {
}

void Material::printDebug() {
    LOG("NAME: " << Name);
    LOG("Emissive: ");
    Emissive.printDebug();
    LOG("Ambient: ");
    Ambient.printDebug();
    LOG("Diffuse: ");
    Diffuse.printDebug();
    LOG("Specular: ");
    Specular.printDebug();
    LOG("Shininess: " << Shininess);
    LOG("Alpha: " << Alpha);
    LOG("Texture: " << Texture);
}

